> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search users

> 
This operation supports <a href="http://ldapwiki.com/wiki/SCIM%20Filtering" target="_blank">SCIM Filter</a>, 
<a href="http://ldapwiki.com/wiki/SCIM%20Search%20Request" target="_blank">SCIM attributes</a> and 
<a href="http://ldapwiki.com/wiki/SCIM%20Sorting" target="_blank">SCIM sort</a>

Supported attributes:
  - `id`
  - `active`
  - `userName`
  - `name.givenName`
  - `name.familyName`
  - `emails.value`
  - `meta.created`




## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/scim/Users
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/scim/Users:
    get:
      tags:
        - SCIM
      summary: Search users
      description: >

        This operation supports <a
        href="http://ldapwiki.com/wiki/SCIM%20Filtering" target="_blank">SCIM
        Filter</a>, 

        <a href="http://ldapwiki.com/wiki/SCIM%20Search%20Request"
        target="_blank">SCIM attributes</a> and 

        <a href="http://ldapwiki.com/wiki/SCIM%20Sorting" target="_blank">SCIM
        sort</a>


        Supported attributes:
          - `id`
          - `active`
          - `userName`
          - `name.givenName`
          - `name.familyName`
          - `emails.value`
          - `meta.created`
      operationId: searchUsers
      parameters:
        - name: Authorization
          in: header
          required: false
          schema:
            type: string
        - name: filter
          in: query
          description: See method description
          required: false
          schema:
            type: string
        - name: attributes
          in: query
          description: See method description
          required: false
          schema:
            type: string
        - name: sortBy
          in: query
          description: See method description
          required: false
          schema:
            type: string
        - name: sortOrder
          in: query
          description: See method description
          required: false
          schema:
            type: string
            enum:
              - ascending
              - descending
            default: ascending
        - name: startIndex
          in: query
          description: The 1-based index of the first search result. Default 1
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            default: 1
        - name: count
          in: query
          description: >-
            Non-negative Integer. Specifies the desired maximum number of search
            results per page; e.g., 10.
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            maximum: 100
            default: 50
      responses:
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      security:
        - none: []
components:
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}
    none:
      description: No authentication required. This is used for public endpoints.
      type: apiKey
      name: None
      in: header

````